View Issue Details

IDProjectCategoryView StatusLast Update
0003097Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0003097: Satellite Tracker logfile view window always scrolls to the bottom
DescriptionThe Satellite Tracker's logfile view window shows some diagnostic infomration about the application. Whenever a new item is added, or on a timer, the window scrolls to the bottom to show the most recently added item. This is pretty impractical; once the user scrolls to find what they want in the view, the view is likely to soon jump to the bottom and disrupt their reading.

Scrolling should be left to the user's discretion.
Steps To Reproduce1) Start up Satellite Tracker
2) Use the "View" menu to find the "Logfile" command
3) Scroll upwards to see older items
4) Wait a bit

BUG#1) The window jumps to the bottom; you've lost your place.

TagsNo tags attached.
ModuleSatellite Tracking
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-01-25 12:12

administrator   ~0007075

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4761

WA9PIE

2019-02-01 20:13

administrator   ~0007217

Validated

Issue History

Date Modified Username Field Change
2019-01-25 11:48 K7ZCZ New Issue
2019-01-25 12:12 K7ZCZ Assigned To => K7ZCZ
2019-01-25 12:12 K7ZCZ Status new => resolved
2019-01-25 12:12 K7ZCZ Resolution open => fixed
2019-01-25 12:12 K7ZCZ Note Added: 0007075
2019-01-29 22:47 K7ZCZ Fixed in Version => 6.5.0.188
2019-02-01 20:13 WA9PIE Status resolved => closed
2019-02-01 20:13 WA9PIE Description Updated View Revisions
2019-02-01 20:13 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-01 20:13 WA9PIE Testing Not Started => Beta Successful
2019-02-01 20:13 WA9PIE Note Added: 0007217
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.188 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe